
<%= form_tag({:controller=>'documents', :action=>'create'}, :multipart=>true) do %>
    <fieldset id='document_upload'>
      <legend>Add Document</legend>
        <p>
         <%= file_field :document, :content %>
         <!-- conditional depending on partial options -->
         <%= select_tag 'id_portfolio', options_from_collection_for_select(portfolios, 'id', 'name'), prompt: '-- Link to Portfolio --' if defined? portfolios %>

         <%= hidden_field_tag 'id_position', id if assign_to == :position %>
         <%= hidden_field_tag 'id_order', id    if assign_to == :order %>

         <%= hidden_field_tag 'assign', true    if defined? assign_to or defined? portfolios %>
        <%= submit_tag 'Upload' %>
        </p>
        <%= text_area_tag 'document[comment]', nil, placeholder: 'Comment' %>
    </fieldset>
<% end %>

